[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedCustomBitmap.PixelFormat

Storage format for pixels in the raw image data.

## Declaration

Source position: graphics.pp line 1367

`public property TSharedCustomBitmap.PixelFormat : TPixelFormat read GetPixelFormat;`

## Description

PixelFormat is a read-only TPixelFormat property with the storage format used for pixel data in the raw image. It also determines the number of colors (or color depth) allowed in the raw image data.

See TPixelFormat for more information about the values and meanings in the enumeration.

## See also

TPixelFormat |  | Represents storage formats for pixels in image data.
TRawImageDescription.Depth